commit af36b834e953e7a523ad64b6930456fdebf0ead0
Author: jklowden <jklowden>
Date:   Wed Jul 23 20:07:17 2008 +0000

    record error in log and remove some redundant logging of entry into static functions

diff --git a/ChangeLog b/ChangeLog
index 7a7265e..d4d4ad9 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+Wed Jul 23 16:05:41 EDT 2008	JK Lowden <jklowden@freetds.org>
+	* src/odbc/error.c src/odbc/odbc.c
+	- record error in log and remove some redundant logging of
+	- entry into static functions
+
 Thu Jul 17 13:51:07 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* INSTALL INSTALL.CVS Makefile.am TODO vms/config_h.vms:
 	* win32/config.h:
@@ -464,4 +469,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2564 2008/07/17 11:52:31 freddy77 Exp $
+$Id: ChangeLog,v 1.2565 2008/07/23 20:07:17 jklowden Exp $
diff --git a/src/odbc/error.c b/src/odbc/error.c
index 5606f5a..2d63dc5 100644
--- a/src/odbc/error.c
+++ b/src/odbc/error.c
@@ -44,7 +44,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: error.c,v 1.52 2008/05/07 08:42:30 freddy77 Exp $");
+TDS_RCSID(var, "$Id: error.c,v 1.53 2008/07/23 20:07:18 jklowden Exp $");
 
 static void odbc_errs_pop(struct _sql_errors *errs);
 static const char *odbc_get_msg(const char *sqlstate);
@@ -509,9 +509,6 @@ _SQLGetDiagRec(SQLSMALLINT handleType, SQLHANDLE handle, SQLSMALLINT numRecord,
 	SQLINTEGER odbc_ver = SQL_OV_ODBC2;
 	SQLHANDLE parent;
 
-	tdsdump_log(TDS_DBG_FUNC, "_SQLGetDiagRec(%d, %p, %d, %p, %p, %p, %d, %p)\n", 
-			handleType, handle, numRecord, szSqlState, pfNativeError, szErrorMsg, cbErrorMsgMax, pcbErrorMsg);
-
 	if (numRecord <= 0 || cbErrorMsgMax < 0)
 		return SQL_ERROR;
 
@@ -559,6 +556,9 @@ _SQLGetDiagRec(SQLSMALLINT handleType, SQLHANDLE handle, SQLSMALLINT numRecord,
 
 	if (asprintf(&p, "%s%s", msgprefix, msg) < 0)
 		return SQL_ERROR;
+
+	tdsdump_log(TDS_DBG_FUNC, "_SQLError: \"%s\"\n", p);
+
 	result = odbc_set_string(szErrorMsg, cbErrorMsgMax, pcbErrorMsg, p, -1);
 	free(p);
 
diff --git a/src/odbc/odbc.c b/src/odbc/odbc.c
index bafb504..460eaeb 100644
--- a/src/odbc/odbc.c
+++ b/src/odbc/odbc.c
@@ -60,7 +60,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: odbc.c,v 1.485 2008/07/14 15:12:42 freddy77 Exp $");
+TDS_RCSID(var, "$Id: odbc.c,v 1.486 2008/07/23 20:07:18 jklowden Exp $");
 
 static SQLRETURN _SQLAllocConnect(SQLHENV henv, SQLHDBC FAR * phdbc);
 static SQLRETURN _SQLAllocEnv(SQLHENV FAR * phenv);
@@ -3998,9 +3998,6 @@ _SQLGetStmtAttr(SQLHSTMT hstmt, SQLINTEGER Attribute, SQLPOINTER Value, SQLINTEG
 
 	INIT_HSTMT;
 
-	tdsdump_log(TDS_DBG_FUNC, "_SQLGetStmtAttr(%p, %d, %p, %d, %p)\n", 
-			hstmt, (int)Attribute, Value, (int)BufferLength, StringLength);
-
 	/* TODO assign directly, use macro for size */
 	switch (Attribute) {
 	case SQL_ATTR_APP_PARAM_DESC:

